Bug 296721 - i810 driver crashes on Dell Latitude D630
i810 driver crashes on Dell Latitude D630
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 14:00 EDT by Michal Babej
Modified: 2013-07-31 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 15:57:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original X.log from anaconda (54.03 KB, text/plain)
2007-09-19 14:00 EDT, Michal Babej
no flags Details
related X config file (1.28 KB, text/plain)
2007-09-19 14:01 EDT, Michal Babej
no flags Details
backtrace from previous crash with debuginfo (2.70 KB, text/plain)
2007-09-19 14:12 EDT, Michal Babej
no flags Details
backtrace from: (gdb) run -ac -verbose -noreset -kb -dumbSched :0 (10.79 KB, text/plain)
2007-09-19 14:14 EDT, Michal Babej
no flags Details

  None (edit)
Description Michal Babej 2007-09-19 14:00:32 EDT
Description of problem:
Xorg crashes with i810 driver on Dell Latitude D630

Version-Release number of selected component (if applicable):
RHEL 5.1 Beta Snapshot 7
xorg-x11-server 1.1.1-48.26.el5 
xorg-x11-drv-i810-1.6.5-9.6.el5

How reproducible:
always

Additional info:
see backtraces
Comment 1 Michal Babej 2007-09-19 14:00:32 EDT
Created attachment 199861 [details]
original X.log from anaconda
Comment 2 Michal Babej 2007-09-19 14:01:33 EDT
Created attachment 199871 [details]
related X config file
Comment 3 Michal Babej 2007-09-19 14:12:10 EDT
Created attachment 199881 [details]
backtrace from previous crash with debuginfo
Comment 4 Michal Babej 2007-09-19 14:14:07 EDT
Created attachment 199891 [details]
backtrace from: (gdb) run -ac -verbose -noreset -kb -dumbSched :0
Comment 5 Kurt Bechstein 2008-06-27 21:26:13 EDT
There seem to be an awful lot of bugs submitted related to the i810 driver
included with RHEL desktop.  I have a Dell D830 with the exact same problem as
this one.  All of the bugs I have seen have not even had any kind of response
from anyone from Red Hat.  Is nobody doing anything about these bugs??  
Comment 6 Kurt Bechstein 2008-11-03 08:51:31 EST
Still having this problem with RHEL 5.2 and RHEL 5.3 beta.  Any chance for a rebase of the intel video driver to correct some of these issues??
Comment 7 Adam Jackson 2012-04-17 15:57:14 EDT
No further hardware enablement updates are planned for RHEL5's X stack.  If
this issue still occurs with RHEL6, please fix the affected product version and
reopen this bug.

Note that RHEL6 has a vastly more modern Intel driver for X.

Note You need to log in before you can comment on or make changes to this bug.